%define section free
%define gcj_support 1

Name:           nanoxml
Version:        2.2.3
Release:        3.1mdk
Epoch:          0
Summary:        NanoXML is a small XML parser for Java
License:        zlib License
URL:            http://nanoxml.cyberelf.be/
Source0:        NanoXML-2.2.3-RHCLEAN.tar.bz2
Patch0:         nanoxml-build.patch.bz2
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  java-javadoc
BuildRequires:  java-devel
Group:          Development/Java
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
# libgcj aot-compiled native libraries
%if %{gcj_support}
BuildRequires:    java-gcj-compat-devel >= 0:1.0.31
Requires(post):   java-gcj-compat >= 0:1.0.31
Requires(postun): java-gcj-compat >= 0:1.0.31
%endif

%description
The intent of NanoXML is to be a small parser which is easy to use.
Although many features were added to NanoXML, it is very small.
The full parser with builder fits in a JAR file of about 32K.

%package        lite
Summary:        Lite version of %{name}
Group:          Development/Java

%description    lite
Lite version of %{name}.

%package        manual
Summary:        Manual for %{name}
Group:          Development/Java

%description    manual
Documentation for %{name}.

%package        manual-lite
Summary:        Manual for the lite version of %{name}
Group:          Development/Java

%description    manual-lite
Documentation for the lite version of %{name}.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description    javadoc
Javadoc for %{name}.


%prep
%setup -q -n NanoXML-%{version}
%patch0
find . -name "*.jar" | xargs -r rm -f


%build
export CLASSPATH=
sh ./build.sh


%install
rm -rf $RPM_BUILD_ROOT

# jars
install -dm 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 Output/%{name}-lite.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-lite-%{version}.jar
install -pm 644 Output/%{name}-sax.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-sax-%{version}.jar
install -pm 644 Output/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr Documentation/JavaDoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%if %{gcj_support}
%{_jvmdir}/java-gcj/bin/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT


%if %{gcj_support}
%post
%{_bindir}/rebuild-gcj-db


%postun
%{_bindir}/rebuild-gcj-db


%post lite
%{_bindir}/rebuild-gcj-db


%postun lite
%{_bindir}/rebuild-gcj-db
%endif


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-sax-%{version}.jar
%{_javadir}/%{name}-sax.jar
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-sax-%{version}.jar.*
%endif

%files lite
%defattr(-,root,root,-)
%{_javadir}/%{name}-lite-%{version}.jar
%{_javadir}/%{name}-lite.jar
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-lite-%{version}.jar.*
%endif

%files manual
%defattr(0644,root,root,0755)
%doc Documentation/NanoXML-Java/*

%files manual-lite
%defattr(0644,root,root,0755)
%doc Documentation/NanoXML-Lite/*

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Sat Sep 10 2005 David Walluck <walluck@mandriva.org> 0:2.2.3-3.1mdk
- release

* Fri Jul 29 2005 Gary Benson <gbenson@redhat.com> - 0:2.2.3-3jpp_3fc
- BC-compile.

* Wed Jun 22 2005 Gary Benson <gbenson@redhat.com> - 0:2.2.3-3jpp_2fc
- Remove jarfile from the tarball.

* Thu Jun 16 2005 Gary Benson <gbenson@redhat.com> - 0:2.2.3-3jpp_1fc
- Build into Fedora.

* Fri Oct 15 2004 Fernando Nasser <fnasser@redhat.com> - 0:2.2.3-3jpp_1rh
- First Red Hat build

* Mon Aug 23 2004 Fernando Nasser <fnasser@redhat.com> - 0:2.2.3-3jpp
- Updated URL
- Pro-forma rebuild with Ant 1.6.2 present

* Sat Jan 10 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.2.3-2jpp
- Add Epoch.
- Change group to Text Processing/Markup/XML.
- Add unversioned javadoc dir symlinks, mark javadoc as %%doc.
- Install manual as normal %%doc, not into %%{_javadocdir}.
- BuildRequires java-devel (not ant).
- Don't use bundled SAX jar.

* Sat Dec 27 2003 Thomas Leonard <tle@sirius.sued.tremium.de> - 2.2.3-1
- Initial build.
